# Uses of Class
org.eclipse.birt.report.model.api.olap.CubeHandle

Packages that use CubeHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.olap

## Uses of CubeHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return CubeHandle
Modifier and Type
Method
Description
`final CubeHandle`
ModuleHandleImpl.`findCube(String name)`
Finds a cube element by name in this module and the included modules.
`CubeHandle`
ReportItemHandleImpl.`getCube()`
Returns the cube of the report item.
Methods in org.eclipse.birt.report.model.api with parameters of type CubeHandle
Modifier and Type
Method
Description
`void`
ReportItemHandleImpl.`setCube(CubeHandle handle)`
Sets the cube of the report item.

## Uses of CubeHandle in org.eclipse.birt.report.model.api.olap

Subclasses of CubeHandle in org.eclipse.birt.report.model.api.olap
Modifier and Type
Class
Description
`class`
`OdaCubeHandle`
Represents a cube.
`class`
`TabularCubeHandle`
Represents a cube.
Methods in org.eclipse.birt.report.model.api.olap that return types with arguments of type CubeHandle
Modifier and Type
Method
Description
`List<CubeHandle>`
DimensionHandle.`getCubeClients()`